# $Revision: 1.22.2.2 $, $Date: 2003/09/10 11:03:07 $
%define		mod_name	auth_mysql
%define		apxs		/usr/sbin/apxs
Summary:	This is the MySQL authentication module for Apache
Summary(cs):	Zkladn autentizace pro WWW server Apache pomoc MySQL
Summary(da):	Autenticering for webtjeneren Apache fra en MySQL-database
Summary(de):	Authentifizierung fr den Apache Web-Server, der eine MySQL-Datenbank verwendet
Summary(es):	Autenticacin va MySQL para Apache
Summary(fr):	Authentification de base pour le serveur Web Apache utilisant une base de donnes MySQL
Summary(it):	Autenticazione di base per il server Web Apache mediante un database MySQL
Summary(ja):	MySQL ǡ١Ȥä Apache Web Сؤδǧ
Summary(no):	Autentisering for webtjeneren Apache fra en MySQL-database
Summary(pl):	Modu autentykacji MySQL dla Apache
Summary(pt_BR):	Autenticao via MySQL para o Apache
Summary(sv):	Grundlggande autenticering fr webbservern Apache med en MySQL-databas
Name:		apache-mod_%{mod_name}
Version:	2.20a
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://web.oyvax.com/src/mod_auth_mysql-%{version}.tar.gz
# Source0-md5:	49ca2a43f04939d31512616437f4fbb3
URL:		http://www.diegonet.com/support/mod_auth_mysql.shtml
BuildRequires:	mysql-devel
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
Requires(post,preun):	%{_sbindir}/apxs
Requires:	apache(EAPI)
Requires:	apache-mod_auth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	mod_auth_mysql

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using mysql RDBMS.

%description -l cs
Balek mod_auth_mysql slou pro omezen pstupu k dokumentm, kter
poskytuje WWW server Apache. Jmna a hesla jsou uloena v databzi
MySQL.

%description -l de
mod_auth_mysql kann verwendet werden, um den Zugriff auf von einem
Web- Server bediente Dokumente zu beschrnken, indem es die Daten in
einer MySQL-Datenbank prft.

%description -l es
mod_auth_mysql puede usarse para limitar el acceso a documentos
servidos por un servidor web verificando datos en una base de datos
MySQL.

%description -l fr
mod_auth_mysql peut tre utilis pour limiter l'accs  des documents
servis par un serveur Web en vrifiant les donnes dans une base de
donnes MySQL.

%description -l it
mod_auth_mysql pu essere usato per limitare l'accesso a documenti
serviti da un server Web controllando i dati in un database MySQL.

%description -l ja
mod_auth_mysql ϡMySQL ǡ١Υǡå뤳
ˤäơWeb С󶡤ɥȤؤΥ¤뤳
Ǥޤ

%description -l pl
To jest modu autentykacji dla Apache pozwalajcy na autentykacj
klientw HTTP z uyciem bazy danych mysql.

%description -l pt_BR
Com o mod_auth_mysql voc pode fazer autenticao no Apache usando o
MySQL.

%description -l sv
mod_auth_mysql kan anvndas fr att begrnsa tkomsten till dokument
servade av en webbserver genom att kontrollera data i en
MySQL-databas.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
aclocal
%{__autoconf}
%configure \
	--with-apxs=%{apxs} \
	--with-mysql=%{_prefix}

%{apxs} -c -I %{_includedir}/mysql mod_%{mod_name}.c -o mod_%{mod_name}.so -lmysqlclient

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README* USAGE
%attr(755,root,root) %{_pkglibdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_auth_mysql.spec,v $
Revision 1.22.2.2  2003/09/10 11:03:07  ankry
- added md5, rel. 4 to rebuild with new mysql

Revision 1.22.2.1  2003/07/11 12:00:23  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.22  2002/06/30 00:32:12  kloczek
- added mod_auth_mysql to Obsoletes for allow upgrade from RH package.

Revision 1.21  2002/06/30 00:27:47  kloczek
- release 3: use new %doc.

Revision 1.20  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/25 15:45:21  arturs
fixed a small typo

Revision 1.18  2002/04/08 08:25:45  qboosh
- link mod_auth_mysql.so with libmysqlclient (module was seriously broken!)
- more specific Prereq
- release 2, STBR ASAP

Revision 1.17  2002/04/02 20:00:57  kloczek
- regenerate ac files before start build.

Revision 1.16  2002/04/02 14:10:54  qboosh
- translated Summaries are back

Revision 1.15  2002/03/31 17:39:48  serek
- completly new sources - they are much better, stbr.

Revision 1.14  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/17 21:04:12  ankry
- release 4

Revision 1.12  2002/02/17 19:01:42  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.11  2002/02/17 04:57:37  kloczek
- release 3.

Revision 1.10  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.9  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/23 08:32:46  qboosh
- release 2: Requires: apache-mod_auth to work (because of AuthGroupFile)
- removed wrong URL

Revision 1.7  2001/10/22 17:30:30  kloczek
- updated to 1.11,
- added some %doc,
- merget translations from CNV.

Revision 1.6  2001/10/22 12:28:37  qboosh
- module name changed back to auth_mysql, added patch to change module name in
  source (apxs requires filename and module name to be consistent)
- release 3

Revision 1.5  2001/09/11 12:22:36  qboosh
- fixed summary, added pl translations

Revision 1.4  2001/07/31 14:04:46  mis
- fix: module registered as 'mysql_auth_module' (release 2)

Revision 1.3  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.2  2001/06/09 00:47:10  baggins
- add -lmysqlclient to build command

Revision 1.1  2001/06/09 00:02:12  serek
- neu im sklep.
